# Uses of Interface
org.opensaml.soap.wsfed.RequestedSecurityToken

Packages that use RequestedSecurityToken
Package
Description
org.opensaml.soap.wsfed
XMLObject interfaces for WS-Federation elements.
org.opensaml.soap.wsfed.impl
XML Object provider implementations for WS-Federation.

## Uses of RequestedSecurityToken in org.opensaml.soap.wsfed

Methods in org.opensaml.soap.wsfed that return types with arguments of type RequestedSecurityToken
Modifier and Type
Method
Description
`List<RequestedSecurityToken>`
RequestSecurityTokenResponse.`getRequestedSecurityToken()`
Return the list of Security Token child elements.

## Uses of RequestedSecurityToken in org.opensaml.soap.wsfed.impl

Classes in org.opensaml.soap.wsfed.impl that implement RequestedSecurityToken
Modifier and Type
Class
Description
`class`
`RequestedSecurityTokenImpl`
Implementation of the `RequestedSecurityToken` object.
Fields in org.opensaml.soap.wsfed.impl with type parameters of type RequestedSecurityToken
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<RequestedSecurityToken>`
RequestSecurityTokenResponseImpl.`requestedSecurityTokens`
List of all the request security tokens.
Methods in org.opensaml.soap.wsfed.impl that return RequestedSecurityToken
Modifier and Type
Method
Description
`RequestedSecurityToken`
RequestedSecurityTokenBuilder.`buildObject()`
Builds a WS-Federation object using its default element name.
`RequestedSecurityToken`
RequestedSecurityTokenBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.soap.wsfed.impl that return types with arguments of type RequestedSecurityToken
Modifier and Type
Method
Description
`List<RequestedSecurityToken>`
RequestSecurityTokenResponseImpl.`getRequestedSecurityToken()`
Return the list of Security Token child elements.